• English
  • Hindi
  • Bahasa
  • Vietnemese
  • Malay
  • Thai
Show Sidebar

Google IMA integration using iOS SDK

Rất tiếc, mục này chỉ tồn tại ở English.

The minimum XCode version should be XCode 7.0. To use the minimum base sdk (compilation sdk), the iOS version should be iOS 9.0 however it will work on devices with iOS 8.0 and above. The VMAX SDK supports the latest Google IMA versions.

Supported Ad Formats: The VMAX SDK supports in-content video ads from Google IMA.

You will need

  1. Working Google IMA Setup with associated video assets
  2. Video ad unit
  3. Ad Tag URL

Further Integration

Step 1: Integrate the VMAX Library Adapters VMaxGoogleIMAAdapter.h and VMaxGoogleIMAAdapter.m from the Adapters .zip folder.

Step 2: Integrate the main framework file GoogleInteractiveMediaAds.framework.

Step 3: Integrate the dependent framework files WebKit.framework.

What would you like to do next?